pcl::io::depth_sense::DepthSenseDeviceManager Class Reference

A helper class for enumerating and managing access to DepthSense devices. More...

`#include <pcl/io/depth_sense/depth_sense_device_manager.h>`

Inheritance diagram for pcl::io::depth_sense::DepthSenseDeviceManager:

## Public Types

typedef boost::shared_ptr< DepthSenseDeviceManager > | Ptr

## Public Member Functions

size_t | getNumDevices ()
| Get the number of connected DepthSense devices. More...
std::string | captureDevice (DepthSenseGrabberImpl *grabber)
| Capture first available device and associate it with a given grabber instance. More...
std::string | captureDevice (DepthSenseGrabberImpl *grabber, size_t index)
| Capture the device with given index and associate it with a given grabber instance. More...
std::string | captureDevice (DepthSenseGrabberImpl *grabber, const std::string &sn)
| Capture the device with given serial number and associate it with a given grabber instance. More...
void | releaseDevice (const std::string &sn)
| Release DepthSense device with given serial number. More...
void | reconfigureDevice (const std::string &sn)
| Reconfigure DepthSense device with given serial number. More...
void | startDevice (const std::string &sn)
| Start data capturing for a given device. More...
void | stopDevice (const std::string &sn)
| Stop data capturing for a given device. More...
| ~DepthSenseDeviceManager ()

## Static Public Member Functions

static Ptr & | getInstance ()

## Detailed Description

A helper class for enumerating and managing access to DepthSense devices.

Definition at line 63 of file depth_sense_device_manager.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<DepthSenseDeviceManager> pcl::io::depth_sense::DepthSenseDeviceManager::Ptr

Definition at line 68 of file depth_sense_device_manager.h.

## Constructor & Destructor Documentation

## ~DepthSenseDeviceManager()

pcl::io::depth_sense::DepthSenseDeviceManager::~DepthSenseDeviceManager | ( |  | ) |

## Member Function Documentation

## captureDevice() [1/3]

std::string pcl::io::depth_sense::DepthSenseDeviceManager::captureDevice | ( | DepthSenseGrabberImpl * | grabber | ) |

Capture first available device and associate it with a given grabber instance.

## captureDevice() [2/3]

std::string pcl::io::depth_sense::DepthSenseDeviceManager::captureDevice | ( | DepthSenseGrabberImpl * | grabber,
|  | size_t | index
| ) |  |

Capture the device with given index and associate it with a given grabber instance.

## captureDevice() [3/3]

std::string pcl::io::depth_sense::DepthSenseDeviceManager::captureDevice | ( | DepthSenseGrabberImpl * | grabber,
|  | const std::string & | sn
| ) |  |

Capture the device with given serial number and associate it with a given grabber instance.

## getInstance()

static Ptr& pcl::io::depth_sense::DepthSenseDeviceManager::getInstance | ( |  | ) |

inline static

Definition at line 71 of file depth_sense_device_manager.h.

## getNumDevices()

size_t pcl::io::depth_sense::DepthSenseDeviceManager::getNumDevices | ( |  | ) |

inline

Get the number of connected DepthSense devices.

Definition at line 85 of file depth_sense_device_manager.h.

## reconfigureDevice()

void pcl::io::depth_sense::DepthSenseDeviceManager::reconfigureDevice | ( | const std::string & | sn | ) |

Reconfigure DepthSense device with given serial number.

## releaseDevice()

void pcl::io::depth_sense::DepthSenseDeviceManager::releaseDevice | ( | const std::string & | sn | ) |

Release DepthSense device with given serial number.

## startDevice()

void pcl::io::depth_sense::DepthSenseDeviceManager::startDevice | ( | const std::string & | sn | ) |

Start data capturing for a given device.

## stopDevice()

void pcl::io::depth_sense::DepthSenseDeviceManager::stopDevice | ( | const std::string & | sn | ) |

Stop data capturing for a given device.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/depth_sense/depth_sense_device_manager.h